import React, { useState } from 'react';
import { TabView, TabPanel } from 'primereact/tabview';

export const Airport: React.FC = () => {
  const [activeIndex, setActiveIndex] = useState<number>(0);

  return (
    <>
      <TabView activeIndex={activeIndex} onTabChange={(event) => setActiveIndex(event.index)} className='p-3'>
        <TabPanel header='Create airport'>
          CREATE AIRPORT
        </TabPanel>
        <TabPanel header='Manage airport'>
          MANAGE AIRPORT
        </TabPanel>
      </TabView>
    </>
  );
}
